Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 818729 - Review Request: kidsruby - A fun and easy way for kids to learn how to program
Summary: Review Request: kidsruby - A fun and easy way for kids to learn how to program
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-03 19:58 UTC by Jon Chiappetta
Modified: 2013-05-19 23:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-19 23:24:43 UTC


Attachments (Terms of Use)

Description Jon Chiappetta 2012-05-03 19:58:53 UTC
Spec URL: http://142.204.133.82/pkg/kidsruby.spec
SRPM URL: http://142.204.133.82/pkg/kidsruby-1.1-7.fc17.src.rpm

Description: 

KidsRuby is real Ruby code. You can also do anything that "Hackety-Hack" can do like display messages. (Hackety-Hack is an older program for kids to learn programming using Ruby). You can see your code, run it, and see what it outputs all at the same time. This makes it a lot easier to learn.

Comment 1 Jon Chiappetta 2012-05-10 20:45:27 UTC
A quick clean up of some spec file issues reported by rpmlint:

Spec URL: http://142.204.133.82/pkg/kidsruby.spec
SRPM URL: http://142.204.133.82/pkg/kidsruby-1.1-8.fc17.src.rpm

$ rpmlint kidsruby-1.1-8.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Brenton Leanhardt 2012-07-26 21:17:01 UTC
Hi Jon,

This is a great start.  I'd like to offer an informal review of this package.  Here are the issues I noticed:

For readabilty please place the 'Requires' and 'BuildRequires' on their own line.  For the Ruby 1.9 requirement see http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_ABI.

On a similar note, please BuildRequire ruby-devel.  http://fedoraproject.org/wiki/Packaging:Ruby#Non-Gem_Packages

Make sure you have worked with upstream to incorporate fix_rubywarrior.patch:
http://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Also in rubywarrior.rb please I think we should ask for justification of the the monkey patching instead of patching rubywarrior.  In my opinion this is very close to a bundled library.  For more details on this issue please read: http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

In this particular instance the issue seems very minor so it may suffice to work with upstream to have them document contact with the rubywarrior project to have the needed modifications made but not to make this a blocker.  However, fixing this will be better for both projects in the end.

The comment in KidsRuby.sh is misleading.  It says that users should run it from their home directory yet it's installed to /usr/bin/KidsRuby.sh.

The most recent changelog entry is lacking proper contact information.

When I ran rpmlint I saw the following:

kidsruby.noarch: E: devel-dependency SDL_mixer-devel
kidsruby.noarch: E: script-without-shebang /usr/share/kidsruby/public/js/jquery/jquery-1.6.2.min.js
kidsruby.noarch: E: script-without-shebang /usr/share/kidsruby/public/js/jquery/jquery-ui-1.8.16.custom.min.js
kidsruby.noarch: E: script-without-shebang /usr/share/kidsruby/public/css/blitzer/jquery-ui-1.8.16.custom.css
kidsruby.noarch: E: script-without-shebang /usr/bin/KidsRuby.sh
kidsruby.noarch: W: no-manual-page-for-binary KidsRuby.sh
1 packages and 0 specfiles checked; 5 errors, 1 warnings.

The javascript ones are probably false negatives.

Comment 3 Jason Tibbitts 2013-05-19 23:24:43 UTC
No response to the above commentary in 10 months, and URLs are 404.  Closing.


Note You need to log in before you can comment on or make changes to this bug.